Bullet Collision Detection & Physics Library: btITaskScheduler Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
btITaskScheduler Class Referenceabstract

`#include <btThreads.h>`

Inheritance diagram for btITaskScheduler:
[legend]

## Public Member Functions
| btITaskScheduler (const char *name)
virtual | ~btITaskScheduler ()
const char * | getName () const
virtual int | getMaxNumThreads () const =0
virtual int | getNumThreads () const =0
virtual void | setNumThreads (int numThreads)=0
virtual void | parallelFor (int iBegin, int iEnd, int grainSize, const btIParallelForBody &body)=0
virtual void | activate ()
virtual void | deactivate ()

## Protected Attributes
const char * | m_name
unsigned int | m_savedThreadCounter
bool | m_isActive

## Detailed Description

Definition at line 109 of file btThreads.h.

## Constructor & Destructor Documentation

## ◆ btITaskScheduler()

btITaskScheduler::btITaskScheduler | ( | const char * | name | ) |

Definition at line 350 of file btThreads.cpp.

## ◆ ~btITaskScheduler()

virtual btITaskScheduler::~btITaskScheduler | ( |  | ) |
| inlinevirtual

Definition at line 113 of file btThreads.h.

## Member Function Documentation

## ◆ activate()

void btITaskScheduler::activate | ( |  | ) |
| virtual

Definition at line 357 of file btThreads.cpp.

## ◆ deactivate()

void btITaskScheduler::deactivate | ( |  | ) |
| virtual

Definition at line 372 of file btThreads.cpp.

## ◆ getMaxNumThreads()

virtual int btITaskScheduler::getMaxNumThreads | ( |  | ) | const
| pure virtual

Implemented in btTaskSchedulerSequential.

## ◆ getName()

const char* btITaskScheduler::getName | ( |  | ) | const
| inline

Definition at line 114 of file btThreads.h.

## ◆ getNumThreads()

virtual int btITaskScheduler::getNumThreads | ( |  | ) | const
| pure virtual

Implemented in btTaskSchedulerSequential.

## ◆ parallelFor()

virtual void btITaskScheduler::parallelFor | ( | int | iBegin,
|  | int | iEnd,
|  | int | grainSize,
|  | const btIParallelForBody & | body
| ) |  |
| pure virtual

Implemented in btTaskSchedulerSequential.

## ◆ setNumThreads()

virtual void btITaskScheduler::setNumThreads | ( | int | numThreads | ) |
| pure virtual

Implemented in btTaskSchedulerSequential.

## Member Data Documentation

## ◆ m_isActive

bool btITaskScheduler::m_isActive
| protected

Definition at line 128 of file btThreads.h.

## ◆ m_name

const char* btITaskScheduler::m_name
| protected

Definition at line 126 of file btThreads.h.

## ◆ m_savedThreadCounter

unsigned int btITaskScheduler::m_savedThreadCounter
| protected

Definition at line 127 of file btThreads.h.

The documentation for this class was generated from the following files:

- btThreads.h
- btThreads.cpp